
import bpy

bl_info = {
    "name": "Toggle Weight Painting Brush Blend",
    "author": "Jeff Boller",
    "version": (1, 0, 0),
    "blender": (2, 80, 0),
    "location": "",
    "description": "This toggles every weight painting brush that has the Blend value of Add to Subtract, and vice versa. To run this, make a keyboard shortcut and put in this... wm.toggle_weight_painting_brush_blend ...for the action. If you want to call this manually from Python, use this: bpy.ops.wm.toggle_weight_painting_brush_blend()",
    "wiki_url": "",
    "tracker_url": "",
    "category": "System"}


class WM_OT_toggle_weight_painting_brush_blend(bpy.types.Operator):
    bl_idname = 'wm.toggle_weight_painting_brush_blend'
    bl_label = 'Toggle Weight Painting Brush Blend'
    bl_description = 'Call bpy.ops.wm.toggle_weight_painting_brush_blend()'
    bl_options = {'UNDO'}


    def execute(self, context):
        for obj in bpy.data.brushes:
            if obj.use_paint_weight == True:
                if bpy.data.brushes[obj.name].blend == 'ADD':
                    bpy.data.brushes[obj.name].blend = 'SUB'
                elif bpy.data.brushes[obj.name].blend == 'SUB':
                    bpy.data.brushes[obj.name].blend = 'ADD'
        return {'FINISHED'}

def register():
    bpy.utils.register_class(WM_OT_toggle_weight_painting_brush_blend)

def unregister():
    bpy.utils.unregister_class(WM_OT_toggle_weight_painting_brush_blend)

if __name__ == "__main__":
    register()
